Framework 1.1 / DNN 3.2 and Framework 2 / DNN 4 Happy Co-existance

Hi,

Does anyone know how to fix this?
I am attempting to run two environments on my machine (without a dual-boot, virtual machine, or similiar techniques).  So my assumption is I can get these two environments to co-exist happy on my developer machine (which is Windows XP Media Center 2005 with SQL Server 2000 developer edition and SQL Server 2005 express edition, plus IIS running as localhost).

I get the following error message when launching DotNetNuke 4 for the 1st time.
I have it set to use the older legacy SQL server 2000 localhost database and run DNN 4.  When it begins to startup DNN4 I get this error message.

Server Error in '/DotNetNuke' Application.
--------------------------------------------------------------------------------

Configuration Error
Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: Unrecognized configuration section 'connectionStrings'

Source Error:


Line 15:     </sectionGroup>
Line 16:   </configSections>
Line 17:   <connectionStrings>
Line 18:   <!-- Connection String for SQL Server 2005 Express
Line 19:   <add
 

Source File: c:\DotNetNuke\web.config    Line: 17


--------------------------------------------------------------------------------
Version Information: Microsoft .NET Framework Version:1.1.4322.2032; ASP.NET Version:1.1.4322.2032

 

I noticed it didn't like the "connectionStrings" label but also noticed it was using Framework 1.1 instead of Framework 2.0 like I imagined it would.   Maybe only framework 2 recognized that label.  But why is it using framework 1.1.?  I thought only DNN 3.2.0 would use that framework and DNN 4 would use the new improved framework 2.0?

Thanks in advance for any thoughts or solutions you can offer!


Kevin Donahoe
CEO, Architect, and .Net Developer
KevinDonahoe@TheMarkOfSuccess.biz
http://www.TheMarkOfSuccess.biz
0
KevinDonahoe
12/3/2005 5:57:53 PM
asp.net.dotnetnuke-get-started 5241 articles. 0 followers. Follow

2 Replies
714 Views

Similar Articles

[PageSpeed] 45

Both asp.net v1.1 and asp.net v2.0 can run on the same machine. You just need to ensure that you have the properties for each of the applications, dnn v3.2, and dnn v4.0 defined to use the .net version you want it to run.

In your case it would seem that you don't have iis configured properly, or the web.config is not correctly changed for the sql version and other connection string properties.

I'd start with looking at iis, though.


iwonder
Mission, KS - USA
0
iwonder
12/4/2005 4:20:38 PM

Yes,  things to appear to co-exist nicely.

I found out that if I go into "manage my IIS" it had a tab called "ASP.Net" and I could set which framework I wanted localhost to use 1.1 or 2.0.  Then the other thing I needed to realize was that for some reason the DNN 4 source had no *dlls in the bin directory.  I copied them from the install into the source for DNN4 I it launched o.k. using SQL 2000 to 2005 connection string.

The only real thing that didn't co-exist so nicely was Office 2003 Business Contact Manager but I unstalled that I just used the regular Outlook 2003 for my contacts.

Thanks for your thoughts to help get this working!!!


Kevin Donahoe
CEO, Architect, and .Net Developer
KevinDonahoe@TheMarkOfSuccess.biz
http://www.TheMarkOfSuccess.biz
0
KevinDonahoe
12/4/2005 5:24:25 PM
Reply:

Similar Artilces:

DNN 3.1.1 on server with .NET Framework 2 Beta
I installed DNN 3.1.1 on a server, that has .NET Framework 2 Beta installed. After the installation, which ran without any problems, I tried to access the portal and got an error "could not create object" or something like that. On the bottom of the page was the Version of the dot net framwork listed, which was 2.xxxx beta.Why did DNN use the .net framwork version 2 beta instead of 1.1, which is also installed?After removing .net framework 2 beta, everything works fine. But it should be possible to have both frameworks installed, shouldn't it?ThanksRene, Switzerland Yes it is possible.&nbs...

DNN 3.1.1 to DNN 4 #2
Hi, I am bit confused on how to upgrade/migrate from DNN 3.1.1 to DNN 4.  Is this possible?  If so, how do I go about doing this?  If not, is such an upgrade plannned in the future? Thanks.....

Bug DNN 3.1.1 Upgrade from 2.1.2 -> 3.1.0 ->
Somewhere along the process, (I missed when) a portal upgrade created a problem with portal creation. The site is created fine, but the password for the admin is never correct. I have to use host to correct it. Anyone faced this ?Do you know the truth when you hear it? are you using the same hash keys in your web.config? this got me one time-DarrenNeese.com-DNN ROCKS!-DeveloperSchool.com Thanks, this helped me narrow it down and realize it was possibly the upgrade from DNN2 to DNN 3. Since there are no hash keys in DNN2 because it uses an encryption key, how did you solve it?Do you know ...

From 2.1.2 to 3.1 or 2.1.2 to 3.0.13 to 3.1
I'm checking back in after being away for a couple of months and I missed the 3.1 release. I can't seem to find any info on what's new in 3.1 and also what the upgrade path should be. So, is the recommended path for upgrading from v 2.1.2 to go directly to 3.1 or do I need to go to 3.0.13 first? Are there any big issues in 3.1 that make it a "gotta have it" version?I did a couple of 2.1.2 to 3.0.12 upgrades but haven't upgraded to or tested 3.1 yet. I have one 2.1.2 site that is commercial and I need it to be down as little time as possible. It also has a lot of third party modules...

selecting ? selecting of 1., 2. , 3., 4., 5., 6. is slow (1-3 second) then selecting of 7.,8.,9. go on is so fast (0.1 second or more fast).. how can i get fast for selecting of 1., 2. , 3., 4., 5., 6
hello friends selecting of 1., 2. , 3., 4.(sometime even 5., 6.) is slow (1-3 second) then selecting of 7.,8.,9.(sometimes 5., 6.,) go on is so fast (0.1 second or more fast).. how can i get fast for selecting of 1., 2. , 3., 4., 5., 6. is slow ?? recordcount is almost 1.050.000.. i do selecting 1.2.3. go on same page with treeview1.. treeview1 in masterpage.master.. gridview1 and datasource1 are in pagelist.aspx (it connets datasource1)..productnumber is primarykey for index.. kategori, kategori1 and kategori2, price, datemin are index from keys/index in table1 (right clicking menu)....

DNN 2.1.x and .NET 2.0 Framework
Has anyone successfully compiled DNN 2.1.x under the 2.0 (beta) framework? I have the 2.0 framework soley running on my development machine - and everything runs fine - but if I try to open up DNN in VS Express 2005 and compile I get a plethora of compilation errors. Ultimately would like to try and get DNN 2.1.x running under the 2.0 framework using SQL Server 2005 (Yukon) as the backend. Any help getting it to compile would be really appreciated. The code is not really ready for .Net 2.0 just yet. Over the next few releases we will be bringing the code in line with ASP.Net 2.0 and...

NET Framework 2.0 and NET Framework 1.1
Can framework 2.0 and framework 1.1 be installed and used on the same PC at same time? can asp.net 1.1 and asp.net 2.0 running site by site together? Thanks. Hi,yes they can. At my current machine I have these installed .NET 1.0, 1.1 and 2.0 without any problems.Grz, Kris.Read my blog. Handy Firefox plugins for web developers.Workaround for non working Mark as answer buttons. after creating a website don't forget to check that this website uses which version of .net (go to website properties--> ASP .NET in IIS)feed the creative machine...

help for DNN 3.1.1 migration from 2.1.2 with FTB
I upgraded my Portal (4 times now!) and have tried everything to get a major problem fixed with Text/HTML module. When I go to edit (after upgrade) I get this error:An error has occurred.DotNetNuke.Services.Exceptions.ModuleLoadException: The data at the root level is invalid. Line 1, position 1. ---> System.Xml.XmlException: The data at the root level is invalid. Line 1, position 1. at System.Xml.XmlTextReader.ParseRoot() at System.Xml.XmlTextReader.Read() at System.Xml.XmlValidatingReader.ReadWithCollectTextToken() at System.Xml.XmlValidatingReader.Read() at System.Xml.XmlLoader.Load(Xm...

DNN 2.1.2 to 3.1.2 upgrade, skin probs
OK, we'll I've had a good read around here, and I've read Charles great install doc.  But I'm still stuck.In fact I've had to restore my old db and files - and have got back to 2.1.2.My problem is that upon upgrading, I get a light blue 'skin'? appearance on the all the modules.  The 2.1.2 sites (six of them) do not have that "appearance" - and that's the way I'd like to keep it.  I have tried 'resetting' the skins (in that Admin section they all show as 'not installed' (or whatever it is)).  It doesn't seem to help.  I get several 'container file not found' type mes...

DNN 2.1.2 Installation .Net Framework Assembly Errors
Before installing new releases on my production servers I always test first on my development boxes as a good rule of thumb. DNN 2.1.2 Installed without any trouble on my Desktop machine. Note: I love the new skin administrator. However, I was ready to pull my hair out when upgrading my other Development box, an Alienware Area 51 Laptop. The error message I was getting was rather confusing but referenced the machine.config file and was giving me an Access Denied error for the Scheduler's SQLDataprovider. This clued me in that the problem might be something to do with permissions....

DNN 2.1.2 to 3.1.3 Upgrade Error
Hello, the upgrade said it was successful and to click here to launch the portal. I did and received the following error message. Please help. Server Error in '/psg' Application. A column named 'SkinSrc' already belongs to this DataTable. Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code. Exception Details: System.Data.DuplicateNameException: A column named 'SkinSrc' already belongs to this DataTable.Source Error: An unhandled e...

Issues with DNN 2.04 and IIS6, win2k3, .net framework 1.1
After 2 straight weeks with no issues, and no changes to the server or site, my DNN 2.04 site crashed this evening. Checking the event log, I was presented with this error: ----------------------------- The description for Event ID ( 0 ) in Source ( .NET Runtime ) cannot be found. The local computer may not have the necessary registry information or message DLL files to display messages from a remote computer. You may be able to use the /AUXSOURCE= flag to retrieve this description; see Help and Support for details. The following information is part of the event: .NET Runtime version ...

Differences between .net 1, .net 1.1, .net 2.0 and .net 3.0 #2
Hi, This seems to be a common question, but i havent got an answer yet:(Can, any one please explain me the differences between these versions.If you keep your feet firmly on the ground, you'll have trouble putting on your pants! There are too many differences for one email - - from 1.0 to 1.1 (not a whole lot of real change, other than fixes, at least compared to 1.1 to 2.0) With 2.0, there were many new declarative controls, with many new ideas added in With 3.0, it's a superset of 2.0 - instead of replacing the installation completely, it just 'added on' new functionality - I would...

Help!!! After upgrading DNN 2.1.2 to 3.1.1 FTB Error
I keep on getting this error after upgrading a DNN 2.1.2 to DNN 3.1.1 (Windows 2k with SQL Server 2000). The Text/HTML module when in edit comes up with error as follws; Edit Text/HTML    Basic Text Box Rich Text Editor An error has occurred.DotNetNuke.Services.Exceptions.ModuleLoadException: The data at the root level is invalid. Line 1, position 1. ---> System.Xml.XmlException: The data at the root level is invalid. Line 1, position 1. at System.Xml.XmlTextReader.ParseRoot() at System.Xml.XmlTextReader.Read() at Sys...

Web resources about - Framework 1.1 / DNN 3.2 and Framework 2 / DNN 4 Happy Co-existance - asp.net.dotnetnuke-get-started

Resources last updated: 12/26/2015 6:49:13 PM